Bug 1893480 - linuxptp-daemon crash
Summary: linuxptp-daemon crash
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.6.z
Assignee: Sebastian Scheinkman
QA Contact: Nikita
URL:
Whiteboard:
: 1906708 (view as bug list)
Depends On: 1892467 1906708
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-31 21:41 UTC by OpenShift BugZilla Robot
Modified: 2020-12-28 01:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-14 13:50:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift linuxptp-daemon pull 25 0 None closed [release-4.6] Bug 1893480: Make the metrics parser more robust 2020-12-24 10:49:29 UTC
Red Hat Product Errata RHSA-2020:5259 0 None None None 2020-12-14 13:50:39 UTC

Comment 3 elevin 2020-12-02 11:07:30 UTC
Client Version: 4.6.0-0.nightly-2020-11-15-000915
Server Version: 4.6.5
Kubernetes Version: v1.19.0+9f84db3
PTP image: origin-ptp:v4.6

===============================================================

apiVersion: ptp.openshift.io/v1
kind: PtpConfig
metadata:
  name: slave
  namespace: openshift-ptp
spec:
  profile:
  - name: "slave"
    interface: "eno1"
    ptp4lOpts: "-2 -s --summary_interval -4"
    phc2sysOpts: "-a -r -n 24"
    ptp4lConf: |
      [global]
      #
      # Default Data Set
      #
      twoStepFlag		1
      slaveOnly		0
      priority1		128
      priority2		128
      domainNumber		24
      #utc_offset		37
      clockClass		248
      clockAccuracy		0xFE
      offsetScaledLogVariance	0xFFFF
      free_running		0
      freq_est_interval	1
      dscp_event		0
      dscp_general		0
      dataset_comparison	ieee1588
      G.8275.defaultDS.localPriority	128
      #
      # Port Data Set
      #
      logAnnounceInterval	-3
      logSyncInterval		-4
      logMinDelayReqInterval	-4
      logMinPdelayReqInterval	-4
      announceReceiptTimeout	3
      syncReceiptTimeout	0
      delayAsymmetry		0
      fault_reset_interval	4
      neighborPropDelayThresh	20000000
      masterOnly		0
      G.8275.portDS.localPriority	128
      #
      # Run time options
      #
      assume_two_step		0
      logging_level		6
      path_trace_enabled	0
      follow_up_info		0
      hybrid_e2e		0
      inhibit_multicast_service	0
      net_sync_monitor	0
      tc_spanning_tree	0
      tx_timestamp_timeout	1
      unicast_listen		0
      unicast_master_table	0
      unicast_req_duration	3600
      use_syslog		1
      verbose			0
      summary_interval	0
      kernel_leap		1
      check_fup_sync		0
      #
      # Servo Options
      #
      pi_proportional_const	0.0
      pi_integral_const	0.0
      pi_proportional_scale	0.0
      pi_proportional_exponent	-0.3
      pi_proportional_norm_max	0.7
      pi_integral_scale	0.0
      pi_integral_exponent	0.4
      pi_integral_norm_max	0.3
      step_threshold		0.0
      first_step_threshold	0.00002
      max_frequency		900000000
      clock_servo		pi
      sanity_freq_limit	200000000
      ntpshm_segment		0
      #
      # Transport options
      #
      transportSpecific	0x0
      ptp_dst_mac		01:1B:19:00:00:00
      p2p_dst_mac		01:80:C2:00:00:0E
      udp_ttl			1
      udp6_scope		0x0E
      uds_address		/var/run/ptp4l
      #
      # Default interface options
      #
      clock_type		OC
      network_transport	UDPv4
      delay_mechanism		E2E
      time_stamping		hardware
      tsproc_mode		filter
      delay_filter		moving_median
      delay_filter_length	10
      egressLatency		0
      ingressLatency		0
      boundary_clock_jbod	0
      #
      # Clock description
      #
      productDescription	;;
      revisionData		;;
      manufacturerIdentity	00:00:00
      userDescription		;
      timeSource		0xA0
  recommend:
  - profile: "slave"
    priority: 4
    match:
    - nodeLabel: "ptp/slave"

===================================================================================

I1202 10:51:47.025443 1119051 ptpdev.go:20] PTP capable NICs: [eno1 eno2]
I1202 10:51:47.938517 1119051 daemon.go:210] Starting phc2sys...
I1202 10:51:47.938545 1119051 daemon.go:211] phc2sys cmd: &{Path:/usr/sbin/phc2sys Args:[/usr/sbin/phc2sys -a -r -n 24 -m -u 1] Env:[] Dir: Stdin:<nil> Stdout:<nil> Stderr:<nil> ExtraFiles:[] SysProcAttr:<nil> P
rocess:<nil> ProcessState:<nil> ctx:<nil> lookPathErr:<nil> finished:false childFiles:[] closeAfterStart:[] closeAfterWait:[] goroutine:[] errch:<nil> waitDone:<nil>}
I1202 10:51:48.938587 1119051 daemon.go:210] Starting ptp4l...
I1202 10:51:48.938620 1119051 daemon.go:211] ptp4l cmd: &{Path:/usr/sbin/ptp4l Args:[/usr/sbin/ptp4l -f /ptp4l-conf/slave.conf -i eno1 -2 -s --summary_interval -4 -m] Env:[] Dir: Stdin:<nil> Stdout:<nil> Stderr:
<nil> ExtraFiles:[] SysProcAttr:<nil> Process:<nil> ProcessState:<nil> ctx:<nil> lookPathErr:<nil> finished:false childFiles:[] closeAfterStart:[] closeAfterWait:[] goroutine:[] errch:<nil> waitDone:<nil>}
ptp4l[37883.852]: selected /dev/ptp0 as PTP clock
phc2sys[37883.853]: Waiting for ptp4l...
ptp4l[37883.877]: port 1: INITIALIZING to LISTENING on INIT_COMPLETE
ptp4l[37883.877]: port 0: INITIALIZING to LISTENING on INIT_COMPLETE
ptp4l[37884.415]: selected local clock 98039b.fffe.8e8854 as best master
phc2sys[37884.855]: Waiting for ptp4l...
ptp4l[37884.857]: selected local clock 98039b.fffe.8e8854 as best master
ptp4l[37885.260]: selected local clock 98039b.fffe.8e8854 as best master
ptp4l[37885.682]: selected local clock 98039b.fffe.8e8854 as best master
phc2sys[37885.857]: reconfiguring after port state change
phc2sys[37885.858]: selecting eno1 for synchronization
phc2sys[37885.858]: nothing to synchronize
ptp4l[37886.070]: selected local clock 98039b.fffe.8e8854 as best master
ptp4l[37886.477]: selected local clock 98039b.fffe.8e8854 as best master
ptp4l[37886.900]: selected local clock 98039b.fffe.8e8854 as best master
ptp4l[37887.379]: selected local clock 98039b.fffe.8e8854 as best master

Comment 5 errata-xmlrpc 2020-12-14 13:50:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.6.8 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5259

Comment 6 zenghui.shi 2020-12-28 01:26:19 UTC
*** Bug 1906708 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.